Name:             dolphin
Version:          0.8.1
Release:          1%{?dist}
Summary:          A file manager for KDE focusing on usability

License:          GPL
Group:            User Interface/Desktops
URL:              http://enzosworld.gmxhome.de/
Source:           http://enzosworld.gmxhome.de/download/%{name}-%{version}.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    kdelibs-devel
BuildRequires:    desktop-file-utils

%description
Dolphin focuses on being only a file manager.
This approach allows to optimize the user
interface for the task of file management.

%prep
%setup -q

%build

# dolphin-debuginfo script-without-shebang fix
chmod -x src/sidebar.{cpp,h}

%configure --disable-rpath

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor ""                \
    --delete-original                           \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

#%{__rm} -f %{buildroot}%{_datadir}/locale/%{name}/LC_MESSAGES/%{name}.mo

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/
%{_docdir}/HTML/en/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png



%Changelog
* Sun Jan 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.8.1-1
- Initial package for Fedora Extras.
